org.apache.xmlbeans.impl.xb.xsdschema

## Interface SimpleDerivationSet.Member2.Item

All Superinterfaces:
  DerivationControl, XmlAnySimpleType, XmlNMTOKEN, XmlNormalizedString, XmlObject, XmlString, XmlToken, XmlTokenSource

All Known Implementing Classes:
  SimpleDerivationSetImpl.MemberImpl2.ItemImpl

Enclosing interface:
  SimpleDerivationSet.Member2

    public static interface SimpleDerivationSet.Member2.Item
    extends DerivationControl

An anonymous inner XML type. This is an atomic type that is a restriction of org.apache.xmlbeans.impl.xb.xsdschema.SimpleDerivationSet$Member2$Item.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.DerivationControl

`DerivationControl.Enum`

### Field Summary

Fields
`static ElementFactory<SimpleDerivationSet.Member2.Item>` `Factory`
`static int` `INT_LIST`
`static int` `INT_RESTRICTION`
`static int` `INT_UNION`
`static DerivationControl.Enum` `LIST`
`static DerivationControl.Enum` `RESTRICTION`
`static SchemaType` `type`
`static DerivationControl.Enum` `UNION`

### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.DerivationControl

`EXTENSION, INT_EXTENSION, INT_SUBSTITUTION, SUBSTITUTION`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.DerivationControl

`getEnumValue, setEnumValue`

### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

`getStringValue, setStringValue`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final ElementFactory<SimpleDerivationSet.Member2.Item> Factory

#### type

    static final SchemaType type

#### LIST

    static final DerivationControl.Enum LIST

#### UNION

    static final DerivationControl.Enum UNION

#### RESTRICTION

    static final DerivationControl.Enum RESTRICTION

#### INT_LIST

    static final int INT_LIST

See Also:
  Constant Field Values

#### INT_UNION

    static final int INT_UNION

See Also:
  Constant Field Values

#### INT_RESTRICTION

    static final int INT_RESTRICTION

See Also:
  Constant Field Values